# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "aws-sdk-sso"
version = "0.28.0"
authors = [
    "AWS Rust SDK Team <aws-sdk-rust@amazon.com>",
    "Russell Cohen <rcoh@amazon.com>",
]
description = "AWS SDK for AWS Single Sign-On"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/awslabs/aws-sdk-rust"
resolver = "1"

[package.metadata.smithy]
codegen-version = "0.55.3-e3c65ffe1be1f319e69b65e4b2cbdc72b00279fa"

[package.metadata.docs.rs]
all-features = true
targets = ["x86_64-unknown-linux-gnu"]

[dependencies.aws-credential-types]
version = "0.55.3"

[dependencies.aws-endpoint]
version = "0.55.3"

[dependencies.aws-http]
version = "0.55.3"

[dependencies.aws-sig-auth]
version = "0.55.3"

[dependencies.aws-smithy-async]
version = "0.55.3"

[dependencies.aws-smithy-client]
version = "0.55.3"

[dependencies.aws-smithy-http]
version = "0.55.3"

[dependencies.aws-smithy-http-tower]
version = "0.55.3"

[dependencies.aws-smithy-json]
version = "0.55.3"

[dependencies.aws-smithy-types]
version = "0.55.3"

[dependencies.aws-types]
version = "0.55.3"

[dependencies.bytes]
version = "1.0.0"

[dependencies.http]
version = "0.2.9"

[dependencies.regex]
version = "1.5.5"

[dependencies.tokio-stream]
version = "0.1.7"

[dependencies.tower]
version = "0.4"

[dependencies.tracing]
version = "0.1"

[dev-dependencies.aws-credential-types]
version = "0.55.3"
features = ["test-util"]

[dev-dependencies.tokio]
version = "1.23.1"
features = [
    "macros",
    "test-util",
    "rt-multi-thread",
]

[features]
default = [
    "rustls",
    "rt-tokio",
]
native-tls = ["aws-smithy-client/native-tls"]
rt-tokio = ["aws-smithy-http/rt-tokio"]
rustls = ["aws-smithy-client/rustls"]
test-util = ["aws-credential-types/test-util"]
